%global _name cprops
%define name %{_name}
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define oldlibname %mklibname %{name}


%bcond_without  postgres
%bcond_with     mysql

Name:       lib%{name}
Version:    0.1.12
Release:    %mkrel 2

Summary:    C Prototyping Tools
Group:      Development/C
License:    LGPLv2+
URL:        http://%{name}.sourceforge.net/
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch1:     libcprops-format-string.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, libtool, openssl-devel, flex, bison

%if %with postgres
BuildRequires:  postgresql-devel
%endif
%if %with mysql
BuildRequires: mysql-devel
%endif


%description
The C Prototyping Tools library provides thread-safe linked list, priority
queue, hash table, hash list, AVL tree and trie implementations, as well
as a thread pool and a thread management framework, a TCP and an HTTP socket
API, and a DBMS abstraction layer.

%package -n %{libname}
Summary:    C Prototyping Tools
Group:      Development/C

%description -n %{libname}
The C Prototyping Tools library provides thread-safe linked list, priority
queue, hash table, hash list, AVL tree and trie implementations, as well
as a thread pool and a thread management framework, a TCP and an HTTP socket
API, and a DBMS abstraction layer.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %libname = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch1 -p1 -b.format-string

%build
libtoolize %{?rhel:--force}
aclocal
autoconf
%configure \
    --disable-static \
    --disable-cpsvc \
    --disable-cpsp \
    --enable-shared \
    --with-ssl=%{_prefix} \
    %{?with_postgres:--with-postgres-includes=%{_includedir}/pgsql} \
    %{?with_postgres:--with-postgres-libs=%{_libdir}} \
    %{?with_mysql:--with-mysql-includes=%{_includedir}/mysql} \
    %{?with_mysql:--with-mysql-libs=%{_libdir}/mysql}

sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|func_apped|func_append|' \
    -e 's|CC -shared|CC -shared -Wl,--as-needed|g' \
    -i libtool


%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{__install} -p -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -p -c -m 444 ChangeLog COPYING README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# or mock won't build
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_docdir}/%{name}-%{version}/

%files -n %develname
%defattr(-,root,root,-)
%{_mandir}/man3/*
%{_includedir}/%{_name}/
%exclude %{_libdir}/*.so




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.12-2.mga3
+ Revision: 356928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 shlomif <shlomif> 0.1.12-1.mga3
+ Revision: 331213
- Made the package more Mageia-like
- import based on the Fedora RawHide package.

